## com.google.debugging.sourcemap
Class SourceMapGeneratorFactory

    java.lang.Object
      com.google.debugging.sourcemap.SourceMapGeneratorFactory

    public class SourceMapGeneratorFactory

extends Object

Constructor Summary
`SourceMapGeneratorFactory()`

Method Summary
`static SourceMapGenerator` | `getInstance()`
`static SourceMapGenerator` | `getInstance(SourceMapFormat format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceMapGeneratorFactory

    public SourceMapGeneratorFactory()

Method Detail

### getInstance

    public static SourceMapGenerator getInstance()

  Returns:
    The appropriate source map object for the given source map format.

### getInstance

    public static SourceMapGenerator getInstance(SourceMapFormat format)

  Returns:
    The appropriate source map object for the given source map format.